"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

const template = configContext => {
  const {
    React
  } = configContext.lib;
  const {
    Col,
    Cols,
    Panel,
    Row
  } = configContext.layoutComponents;
  const {
    Field,
    InputTable
  } = configContext.recordComponents;
  return React.createElement(Field, {
    name: "document"
  }, React.createElement(Panel, {
    name: "id",
    collapsible: true
  }, React.createElement(Row, null, React.createElement(Field, {
    name: "objectNumber"
  }), React.createElement(Field, {
    name: "collection"
  })), React.createElement(Field, {
    name: "determinationHistoryGroupList",
    subpath: "ns2:collectionobjects_naturalhistory_extension"
  }, React.createElement(Field, {
    name: "determinationHistoryGroup"
  }, React.createElement(Panel, null, React.createElement(InputTable, {
    name: "taxonName"
  }, React.createElement(Field, {
    name: "determinationTaxon"
  }), React.createElement(Field, {
    name: "determinationQualifier"
  })), React.createElement(InputTable, {
    name: "taxonIdent"
  }, React.createElement(Field, {
    name: "determinationBy"
  }), React.createElement(Field, {
    name: "determinationDateGroup"
  }), React.createElement(Field, {
    name: "determinationInstitution"
  })), React.createElement(Cols, null, React.createElement(Col, null, React.createElement(Field, {
    name: "determinationKind"
  }), React.createElement(InputTable, {
    name: "taxonReference"
  }, React.createElement(Field, {
    name: "determinationReference"
  }), React.createElement(Field, {
    name: "determinationRefPage"
  }))), React.createElement(Field, {
    name: "determinationNote"
  }))))), React.createElement(Row, null, React.createElement(Field, {
    name: "localNameGroupList",
    subpath: "ns2:collectionobjects_herbarium"
  }, React.createElement(Field, {
    name: "localNameGroup"
  }, React.createElement(Field, {
    name: "localName"
  }), React.createElement(Field, {
    name: "localNameLanguage"
  }))), React.createElement("div", null)), React.createElement(Row, null, React.createElement(Field, {
    name: "herbHybridParentGroupList",
    subpath: "ns2:collectionobjects_herbarium"
  }, React.createElement(Field, {
    name: "herbHybridParentGroup"
  }, React.createElement(Field, {
    name: "herbHybridParent"
  }), React.createElement(Field, {
    name: "herbHybridParentQualifier"
  }))), React.createElement(Field, {
    name: "hybridName",
    subpath: "ns2:collectionobjects_herbarium"
  })), React.createElement(Field, {
    name: "labelHeader",
    subpath: "ns2:collectionobjects_herbarium"
  }), React.createElement(Field, {
    name: "labelFooter",
    subpath: "ns2:collectionobjects_herbarium"
  }), React.createElement(Row, null, React.createElement(Col, null, React.createElement(Row, null, React.createElement(Field, {
    name: "sheetNumber",
    subpath: "ns2:collectionobjects_herbarium"
  }), React.createElement(Field, {
    name: "sheetCount",
    subpath: "ns2:collectionobjects_herbarium"
  })), React.createElement(Field, {
    name: "briefDescriptions"
  }, React.createElement(Field, {
    name: "briefDescription"
  })), React.createElement(Field, {
    name: "publishToList"
  }, React.createElement(Field, {
    name: "publishTo"
  }))), React.createElement(Col, null, React.createElement(Field, {
    name: "otherNumberList"
  }, React.createElement(Field, {
    name: "otherNumber"
  }, React.createElement(Field, {
    name: "numberValue"
  }), React.createElement(Field, {
    name: "numberType"
  }))), React.createElement(Field, {
    name: "comments"
  }, React.createElement(Field, {
    name: "comment"
  })), React.createElement(Field, {
    name: "inventoryStatusList"
  }, React.createElement(Field, {
    name: "inventoryStatus"
  })))), React.createElement(Field, {
    name: "herbTypeSpecimenGroupList",
    subpath: "ns2:collectionobjects_herbarium"
  }, React.createElement(Field, {
    name: "herbTypeSpecimenGroup"
  }, React.createElement(Field, {
    name: "herbTypeSpecimenKind"
  }), React.createElement(Field, {
    name: "herbTypeSpecimenAssertionBy"
  }), React.createElement(Field, {
    name: "herbTypeSpecimenReference"
  }), React.createElement(Field, {
    name: "herbTypeSpecimenRefPage"
  }), React.createElement(Field, {
    name: "herbTypeSpecimenBasionym"
  }), React.createElement(Field, {
    name: "herbTypeSpecimenNotes"
  })))), React.createElement(Panel, {
    name: "desc",
    collapsible: true,
    collapsed: true
  }, React.createElement(Row, null, React.createElement(Col, null, React.createElement(Field, {
    name: "sex"
  }), React.createElement(Field, {
    name: "phase"
  }), React.createElement(Field, {
    name: "forms"
  }, React.createElement(Field, {
    name: "form"
  }))), React.createElement(Col, null, React.createElement(Field, {
    name: "styles"
  }, React.createElement(Field, {
    name: "style"
  })), React.createElement(Field, {
    name: "postToPublic",
    subpath: "ns2:collectionobjects_herbarium"
  })))), React.createElement(Panel, {
    name: "hist",
    collapsible: true,
    collapsed: true
  }, React.createElement(Panel, {
    name: "assoc",
    collapsible: true,
    collapsed: true
  }, React.createElement(Row, null, React.createElement(Col, null, React.createElement(Field, {
    name: "assocActivityGroupList"
  }, React.createElement(Field, {
    name: "assocActivityGroup"
  }, React.createElement(Field, {
    name: "assocActivity"
  }), React.createElement(Field, {
    name: "assocActivityType"
  }), React.createElement(Field, {
    name: "assocActivityNote"
  }))), React.createElement(Field, {
    name: "assocObjectGroupList"
  }, React.createElement(Field, {
    name: "assocObjectGroup"
  }, React.createElement(Field, {
    name: "assocObject"
  }), React.createElement(Field, {
    name: "assocObjectType"
  }), React.createElement(Field, {
    name: "assocObjectNote"
  }))), React.createElement(Field, {
    name: "assocConceptGroupList"
  }, React.createElement(Field, {
    name: "assocConceptGroup"
  }, React.createElement(Field, {
    name: "assocConcept"
  }), React.createElement(Field, {
    name: "assocConceptType"
  }), React.createElement(Field, {
    name: "assocConceptNote"
  }))), React.createElement(Field, {
    name: "assocCulturalContextGroupList"
  }, React.createElement(Field, {
    name: "assocCulturalContextGroup"
  }, React.createElement(Field, {
    name: "assocCulturalContext"
  }), React.createElement(Field, {
    name: "assocCulturalContextType"
  }), React.createElement(Field, {
    name: "assocCulturalContextNote"
  }))), React.createElement(Field, {
    name: "assocOrganizationGroupList"
  }, React.createElement(Field, {
    name: "assocOrganizationGroup"
  }, React.createElement(Field, {
    name: "assocOrganization"
  }), React.createElement(Field, {
    name: "assocOrganizationType"
  }), React.createElement(Field, {
    name: "assocOrganizationNote"
  }))), React.createElement(Field, {
    name: "assocPeopleGroupList"
  }, React.createElement(Field, {
    name: "assocPeopleGroup"
  }, React.createElement(Field, {
    name: "assocPeople"
  }), React.createElement(Field, {
    name: "assocPeopleType"
  }), React.createElement(Field, {
    name: "assocPeopleNote"
  }))), React.createElement(Field, {
    name: "assocPersonGroupList"
  }, React.createElement(Field, {
    name: "assocPersonGroup"
  }, React.createElement(Field, {
    name: "assocPerson"
  }), React.createElement(Field, {
    name: "assocPersonType"
  }), React.createElement(Field, {
    name: "assocPersonNote"
  }))), React.createElement(Field, {
    name: "assocPlaceGroupList"
  }, React.createElement(Field, {
    name: "assocPlaceGroup"
  }, React.createElement(Field, {
    name: "assocPlace"
  }), React.createElement(Field, {
    name: "assocPlaceType"
  }), React.createElement(Field, {
    name: "assocPlaceNote"
  })))), React.createElement(Col, null, React.createElement(InputTable, {
    name: "assocEvent"
  }, React.createElement(Field, {
    name: "assocEventName"
  }), React.createElement(Field, {
    name: "assocEventNameType"
  })), React.createElement(Field, {
    name: "assocEventOrganizations"
  }, React.createElement(Field, {
    name: "assocEventOrganization"
  })), React.createElement(Field, {
    name: "assocEventPeoples"
  }, React.createElement(Field, {
    name: "assocEventPeople"
  })), React.createElement(Field, {
    name: "assocEventPersons"
  }, React.createElement(Field, {
    name: "assocEventPerson"
  })), React.createElement(Field, {
    name: "assocEventPlaces"
  }, React.createElement(Field, {
    name: "assocEventPlace"
  })), React.createElement(Field, {
    name: "assocEventNote"
  }), React.createElement(Field, {
    name: "assocDateGroupList"
  }, React.createElement(Field, {
    name: "assocDateGroup"
  }, React.createElement(Field, {
    name: "assocStructuredDateGroup"
  }), React.createElement(Field, {
    name: "assocDateType"
  }), React.createElement(Field, {
    name: "assocDateNote"
  })))))), React.createElement(Field, {
    name: "objectHistoryNote"
  }), React.createElement(Field, {
    name: "usageGroupList"
  }, React.createElement(Field, {
    name: "usageGroup"
  }, React.createElement(Field, {
    name: "usage"
  }), React.createElement(Field, {
    name: "usageNote"
  }))), React.createElement(Row, null, React.createElement(Col, null, React.createElement(Field, {
    name: "owners"
  }, React.createElement(Field, {
    name: "owner"
  })), React.createElement(Field, {
    name: "ownershipDateGroupList"
  }, React.createElement(Field, {
    name: "ownershipDateGroup"
  }))), React.createElement(Col, null, React.createElement(Row, null, React.createElement(Field, {
    name: "ownershipAccess"
  }), React.createElement(Field, {
    name: "ownershipCategory"
  })), React.createElement(Field, {
    name: "ownershipPlace"
  }))), React.createElement(InputTable, {
    name: "ownershipExchange"
  }, React.createElement(Field, {
    name: "ownershipExchangeMethod"
  }), React.createElement(Field, {
    name: "ownershipExchangeNote"
  }), React.createElement(Field, {
    name: "ownershipExchangePriceCurrency"
  }), React.createElement(Field, {
    name: "ownershipExchangePriceValue"
  }))), React.createElement(Panel, {
    name: "reference",
    collapsible: true,
    collapsed: true
  }, React.createElement(Field, {
    name: "referenceGroupList"
  }, React.createElement(Field, {
    name: "referenceGroup"
  }, React.createElement(Field, {
    name: "reference"
  }), React.createElement(Field, {
    name: "referenceNote"
  })))), React.createElement(Panel, {
    name: "collect",
    collapsible: true,
    collapsed: true
  }, React.createElement(Row, null, React.createElement(Col, null, React.createElement(Field, {
    name: "fieldCollectionDateGroup"
  }), React.createElement(Field, {
    name: "fieldCollectors"
  }, React.createElement(Field, {
    name: "fieldCollector"
  })), React.createElement(Field, {
    name: "fieldCollectionNumber"
  })), React.createElement(Col, null, React.createElement(Field, {
    name: "fieldCollectionMethods"
  }, React.createElement(Field, {
    name: "fieldCollectionMethod"
  })), React.createElement(Field, {
    name: "habitat",
    subpath: "ns2:collectionobjects_herbarium"
  }), React.createElement(Field, {
    name: "herbAssociatedTaxaGroupList",
    subpath: "ns2:collectionobjects_herbarium"
  }, React.createElement(Field, {
    name: "herbAassociatedTaxaGroup"
  }, React.createElement(Field, {
    name: "herbAssocTaxon"
  }), React.createElement(Field, {
    name: "herbAssocTaxonCommonName"
  }), React.createElement(Field, {
    name: "herbAssocTaxonInteraction"
  })))))), React.createElement(Panel, {
    name: "locality",
    collapsible: true,
    collapsed: true
  }, React.createElement(Field, {
    name: "herbLocalityGroupList",
    subpath: "ns2:collectionobjects_herbarium"
  }, React.createElement(Field, {
    name: "herbLocalityGroup"
  }, React.createElement(Panel, null, React.createElement(Row, null, React.createElement(Field, {
    name: "herbCollectionLocationVerbatim"
  }), React.createElement(Field, {
    name: "herbCollectionPlace"
  })))))), React.createElement(Panel, {
    name: "hierarchy",
    collapsible: true,
    collapsed: true
  }, React.createElement(Field, {
    name: "relation-list-item",
    subpath: "rel:relations-common-list"
  })));
};

var _default = configContext => ({
  template: template(configContext)
});

exports.default = _default;