"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _reactIntl = require("react-intl");

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var _default = configContext => {
  const {
    AutocompleteInput,
    CompoundInput,
    DateInput,
    TermPickerInput,
    TextInput
  } = configContext.inputComponents;
  const {
    configKey: config
  } = configContext.configHelpers;
  const {
    DATA_TYPE_INT,
    DATA_TYPE_DATE
  } = configContext.dataTypes;
  const {
    extensions
  } = configContext.config;
  return {
    document: _objectSpread({
      'ns2:loansout_herbarium': {
        [config]: {
          service: {
            ns: 'http://collectionspace.org/services/loanout/local/herbarium'
          }
        },
        majorGroup: {
          [config]: {
            messages: (0, _reactIntl.defineMessages)({
              name: {
                "id": "field.loansout_herbarium.majorGroup.name",
                "defaultMessage": "Major group"
              }
            }),
            view: {
              type: TermPickerInput,
              props: {
                source: 'majortaxongroup'
              }
            }
          }
        },
        geographyList: {
          [config]: {
            view: {
              type: CompoundInput
            }
          },
          geography: {
            [config]: {
              messages: (0, _reactIntl.defineMessages)({
                name: {
                  "id": "field.loansout_herbarium.geography.name",
                  "defaultMessage": "Geography"
                }
              }),
              repeating: true,
              view: {
                type: TextInput
              }
            }
          }
        },
        taxonomyList: {
          [config]: {
            view: {
              type: CompoundInput
            }
          },
          taxonomy: {
            [config]: {
              messages: (0, _reactIntl.defineMessages)({
                name: {
                  "id": "field.loansout_herbarium.taxonomy.name",
                  "defaultMessage": "Taxonomy"
                }
              }),
              repeating: true,
              view: {
                type: AutocompleteInput,
                props: {
                  source: 'taxon/local,taxon/common'
                }
              }
            }
          }
        },
        objKindList: {
          [config]: {
            view: {
              type: CompoundInput
            }
          },
          objKind: {
            [config]: {
              messages: (0, _reactIntl.defineMessages)({
                name: {
                  "id": "field.loansout_herbarium.objKind.name",
                  "defaultMessage": "Object kind"
                }
              }),
              repeating: true,
              view: {
                type: TermPickerInput,
                props: {
                  source: 'objectkind'
                }
              }
            }
          }
        },
        shipDate: {
          [config]: {
            dataType: DATA_TYPE_DATE,
            messages: (0, _reactIntl.defineMessages)({
              name: {
                "id": "field.loansout_herbarium.shipDate.name",
                "defaultMessage": "Shipping form date"
              }
            }),
            view: {
              type: DateInput
            }
          }
        },
        transportMethod: {
          [config]: {
            messages: (0, _reactIntl.defineMessages)({
              name: {
                "id": "field.loansout_herbarium.transportMethod.name",
                "defaultMessage": "Transportation"
              }
            }),
            view: {
              type: TermPickerInput,
              props: {
                source: 'transportmethod'
              }
            }
          }
        },
        numPackages: {
          [config]: {
            dataType: DATA_TYPE_INT,
            messages: (0, _reactIntl.defineMessages)({
              name: {
                "id": "field.loansout_herbarium.numPackages.name",
                "defaultMessage": "Number of packages"
              }
            }),
            view: {
              type: TextInput
            }
          }
        },
        acknowledgeDate: {
          [config]: {
            dataType: DATA_TYPE_DATE,
            messages: (0, _reactIntl.defineMessages)({
              name: {
                "id": "field.loansout_herbarium.acknowledgeDate.name",
                "defaultMessage": "Acknowledge date"
              }
            }),
            view: {
              type: DateInput
            }
          }
        }
      }
    }, extensions.naturalhistory.loanout.fields)
  };
};

exports.default = _default;