"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

const template = configContext => {
  const {
    React
  } = configContext.lib;
  const {
    Col,
    Cols,
    Panel,
    Row
  } = configContext.layoutComponents;
  const {
    Field,
    InputTable
  } = configContext.recordComponents;
  return React.createElement(Field, {
    name: "document"
  }, React.createElement(Panel, {
    name: "info",
    collapsible: true
  }, React.createElement(Row, null, React.createElement(Field, {
    name: "loanOutNumber"
  }), React.createElement(Field, {
    name: "loanPurpose"
  })), React.createElement(InputTable, {
    name: "lender"
  }, React.createElement(Field, {
    name: "lendersAuthorizer"
  }), React.createElement(Field, {
    name: "lendersContact"
  }), React.createElement(Field, {
    name: "lendersAuthorizationDate"
  })), React.createElement(InputTable, {
    name: "borrower"
  }, React.createElement(Field, {
    name: "borrower"
  }), React.createElement(Field, {
    name: "borrowersContact"
  }), React.createElement(Field, {
    name: "borrowersAuthorizer"
  }), React.createElement(Field, {
    name: "borrowersAuthorizationDate"
  })), React.createElement(Cols, null, React.createElement(Col, null, React.createElement(Field, {
    name: "specialConditionsOfLoan"
  }), React.createElement(Field, {
    name: "loanOutNote"
  })), React.createElement(Col, null, React.createElement(Field, {
    name: "majorGroup",
    subpath: "ns2:loansout_herbarium"
  }), React.createElement(Field, {
    name: "geographyList",
    subpath: "ns2:loansout_herbarium"
  }, React.createElement(Field, {
    name: "geography"
  })), React.createElement(Field, {
    name: "taxonomyList",
    subpath: "ns2:loansout_herbarium"
  }, React.createElement(Field, {
    name: "taxonomy"
  })), React.createElement(Field, {
    name: "objKindList",
    subpath: "ns2:loansout_herbarium"
  }, React.createElement(Field, {
    name: "objKind"
  })))), React.createElement(Field, {
    name: "loanStatusGroupList"
  }, React.createElement(Field, {
    name: "loanStatusGroup"
  }, React.createElement(Field, {
    name: "loanGroup"
  }), React.createElement(Field, {
    name: "loanIndividual"
  }), React.createElement(Field, {
    name: "loanStatus"
  }), React.createElement(Field, {
    name: "loanStatusDate"
  }), React.createElement(Field, {
    name: "loanStatusNote"
  }))), React.createElement(Cols, null, React.createElement(Col, null, React.createElement(Field, {
    name: "loanOutDate"
  }), React.createElement(Field, {
    name: "shipDate",
    subpath: "ns2:loansout_herbarium"
  }), React.createElement(Row, null, React.createElement(Field, {
    name: "transportMethod",
    subpath: "ns2:loansout_herbarium"
  }), React.createElement(Field, {
    name: "numPackages",
    subpath: "ns2:loansout_herbarium"
  }))), React.createElement(Col, null, React.createElement(Field, {
    name: "acknowledgeDate",
    subpath: "ns2:loansout_herbarium"
  }), React.createElement(Field, {
    name: "loanReturnDate"
  }), React.createElement(Field, {
    name: "loanRenewalApplicationDate"
  })))), React.createElement(Panel, {
    name: "loanItem",
    collapsible: true,
    collapsed: true
  }, React.createElement(Field, {
    name: "loanoutItems",
    subpath: "ns2:loansout_naturalhistory_extension"
  }), React.createElement(Field, {
    name: "objectGroupList",
    subpath: "ns2:loansout_naturalhistory_extension"
  }, React.createElement(Field, {
    name: "objectGroup"
  }, React.createElement(Panel, null, React.createElement(Cols, null, React.createElement(Col, null, React.createElement(Field, {
    name: "objectNumbers"
  }), React.createElement(Field, {
    name: "objectQuantity"
  })), React.createElement(Col, null, React.createElement(Field, {
    name: "objectConditions"
  }), React.createElement(Field, {
    name: "objectNotes"
  }))))))), React.createElement(Panel, {
    name: "loanReturn",
    collapsible: true,
    collapsed: true
  }, React.createElement(Field, {
    name: "returnGroupList",
    subpath: "ns2:loansout_naturalhistory_extension"
  }, React.createElement(Field, {
    name: "returnGroup"
  }, React.createElement(Panel, null, React.createElement(Cols, null, React.createElement(Col, null, React.createElement(Field, {
    name: "returnObjectNumbers"
  }), React.createElement(Field, {
    name: "returnQuantity"
  }), React.createElement(Field, {
    name: "returnDate"
  })), React.createElement(Col, null, React.createElement(Field, {
    name: "returnDetermination"
  }), React.createElement(Field, {
    name: "returnNotes"
  }))))))), React.createElement(Panel, {
    name: "loanTransfer",
    collapsible: true,
    collapsed: true
  }, React.createElement(Field, {
    name: "transferGroupList",
    subpath: "ns2:loansout_naturalhistory_extension"
  }, React.createElement(Field, {
    name: "transferGroup"
  }, React.createElement(Panel, null, React.createElement(Cols, null, React.createElement(Col, null, React.createElement(Field, {
    name: "transferDate"
  }), React.createElement(Field, {
    name: "transferOrg"
  }), React.createElement(Field, {
    name: "transferPerson"
  })), React.createElement(Col, null, React.createElement(Field, {
    name: "transferDirector"
  }), React.createElement(Field, {
    name: "transferQuantity"
  }), React.createElement(Field, {
    name: "transferNotes"
  }))))))));
};

var _default = configContext => ({
  template: template(configContext)
});

exports.default = _default;