"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

const template = configContext => {
  const {
    React
  } = configContext.lib;
  const {
    Col,
    Cols,
    Panel,
    Row
  } = configContext.layoutComponents;
  const {
    Field,
    InputTable
  } = configContext.recordComponents;
  return React.createElement(Field, {
    name: "document"
  }, React.createElement(Panel, {
    name: "info",
    collapsible: true
  }, React.createElement(Field, {
    name: "taxonTermGroupList"
  }, React.createElement(Field, {
    name: "taxonTermGroup"
  }, React.createElement(Panel, null, React.createElement(Row, null, React.createElement(Field, {
    name: "termDisplayName"
  }), React.createElement(Field, {
    name: "termFormattedDisplayName"
  })), React.createElement(Row, null, React.createElement(Field, {
    name: "termQualifier"
  }), React.createElement(Field, {
    name: "termStatus"
  }), React.createElement(Field, {
    name: "termType"
  }), React.createElement(Field, {
    name: "termFlag"
  })), React.createElement(Row, null, React.createElement(Field, {
    name: "taxonomicStatus"
  }), React.createElement(Field, {
    name: "termLanguage"
  }), React.createElement(Field, {
    name: "termPrefForLang"
  })), React.createElement(InputTable, {
    name: "termSource"
  }, React.createElement(Field, {
    name: "termSource"
  }), React.createElement(Field, {
    name: "termSourceDetail"
  }), React.createElement(Field, {
    name: "termSourceID"
  }), React.createElement(Field, {
    name: "termSourceNote"
  }))))), React.createElement(Row, null, React.createElement(Field, {
    name: "taxonRank"
  }), React.createElement(Field, {
    name: "taxonMajorGroup",
    subpath: "ns2:taxon_herbarium"
  }), React.createElement(Field, {
    name: "taxonFamily",
    subpath: "ns2:taxon_herbarium"
  })), React.createElement(Field, {
    name: "taxonAuthorGroupList"
  }, React.createElement(Field, {
    name: "taxonAuthorGroup"
  }, React.createElement(Field, {
    name: "taxonAuthor"
  }), React.createElement(Field, {
    name: "taxonAuthorType"
  }))), React.createElement(Cols, null, React.createElement(Col, null, React.createElement(Field, {
    name: "taxonYear"
  }), React.createElement(Field, {
    name: "taxonIsNamedHybrid"
  })), React.createElement(Col, null, React.createElement(Field, {
    name: "taxonCitationList"
  }, React.createElement(Field, {
    name: "taxonCitation"
  })), React.createElement(Field, {
    name: "taxonBasionym",
    subpath: "ns2:taxon_herbarium"
  }))), React.createElement(Field, {
    name: "taxonNote"
  }), React.createElement(Field, {
    name: "commonNameGroupList"
  }, React.createElement(Field, {
    name: "commonNameGroup"
  }, React.createElement(Field, {
    name: "commonName"
  }), React.createElement(Field, {
    name: "commonNameLanguage"
  }), React.createElement(Field, {
    name: "commonNameSource"
  }), React.createElement(Field, {
    name: "commonNameSourceDetail"
  }))), React.createElement(Field, {
    name: "relatedTermGroupList",
    subpath: "ns2:taxon_herbarium"
  }, React.createElement(Field, {
    name: "relatedTermGroup"
  }, React.createElement(Field, {
    name: "relatedTerm"
  }), React.createElement(Field, {
    name: "relatedTermType"
  }), React.createElement(Field, {
    name: "relatedTermSource"
  }), React.createElement(Field, {
    name: "relatedTermSourceDetail"
  })))), React.createElement(Panel, {
    name: "hierarchy",
    collapsible: true,
    collapsed: true
  }, React.createElement(Field, {
    name: "relation-list-item",
    subpath: "rel:relations-common-list"
  })));
};

var _default = configContext => ({
  template: template(configContext)
});

exports.default = _default;